"""add_ssh_key_id_to_config_profiles

Revision ID: 069d3da4dc9b
Revises: 2026_05_29_add_notifications_table
Create Date: 2026-05-29 12:30:16.580532
"""

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "069d3da4dc9b"
down_revision = "2026_05_29_add_notifications_table"
branch_labels = None
depends_on = None


def upgrade() -> None:
    op.add_column(
        "config_profiles",
        sa.Column(
            "ssh_key_id",
            sa.Uuid(),
            sa.ForeignKey("ssh_keys.id", ondelete="SET NULL"),
            nullable=True,
        ),
    )


def downgrade() -> None:
    op.drop_column("config_profiles", "ssh_key_id")
